---
title: CSSStyleDeclaration.length
slug: Web/API/CSSStyleDeclaration/length
tags:
  - API
  - CSSOM
  - Property
  - Reference
---
<p>{{ APIRef("CSSOM") }}</p>

<p><span class="seoSummary">The read-only property returns an integer that represents the number of style declarations in this CSS declaration block.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>num</em> = <em>styles</em>.length;</pre>

<h3 id="Value">Value</h3>

<p>An integer that provides the number of styles explictly set on the parent of the instance.</p>

<h2 id="Example">Example</h2>

<p>The following gets the number of explicitly set styles on the following HTML element:</p>

<pre class="brush: html">&lt;div id="div1" style="margin: 0 10px; background-color: #CA1; font-family: monospace"&gt;&lt;/div&gt;</pre>

<p>JavaScript code:</p>

<pre>var myDiv = document.getElementById('div1'); var divStyle = myDiv.style; var len = divStyle.length; // 6</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSSOM', '#dom-cssstyledeclaration-length', 'CSSStyleDeclaration.length')}}</td>
			<td>{{Spec2('CSSOM')}}</td>
			<td></td>
		</tr>
		<tr>
			<td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSStyleDeclaration', 'CSSStyleDeclaration')}}</td>
			<td>{{Spec2('DOM2 Style')}}</td>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleDeclaration.length")}}</p>
